// main: ../main.scss

.projects {
  h2 {
    top: $section-spacing;
  }

  .project:after {
    content: '';
    display: block;
    clear: both;
  }

  .project {
    width: 25%;
    height: auto;
    float: left;

    img {
      max-width: 100%;
      height: auto;
    }

     > a {
       display: block;
       margin: 3px;
       position: relative;
       overflow: hidden;

       img {
         transition: all 0.3s linear;
       }

       &:before {
         transition: all 0.3s linear 0.5s;
       }

       &:hover {
         transition: all 0.2 linear;

         &:after {
           transition: all 0.2 linear 1s;
           background: rgba($black-color, 0.3);
           content: "";
           position: absolute;
           left: 0;
           top: 0;
           display: inline-block;
           z-index: 998;
           width: 100%;
           height: 100%;
         }

         &:before {
           font-family: FontAwesome;
           content: "\f002";
           background: rgba($white-color, 0.7);
           position: absolute;
           top: calc(50% - (50px/2));
           left: calc(50% - (50px/2));
           height: 50px;
           width: 50px;
           border-radius: $project-radius;
           padding: 13px 17px;
           z-index: 999;
         }

         img {
           box-shadow: 0 0 5px $font-color;
           transform: scale(1.1) rotate(2deg);
         }

       }
     }
  }

  .project--width2 {
    width: 50%;

    > a:hover {
      img {
        transform: scale(1.1) rotate(1deg);
      }
    }
  }

  @include media-breakpoint-down(sm) {
    .project,
    .project--width2{
      width: 50%;
    }
  }

  @include media-breakpoint-down(xs) {
    .project,
    .project--width2{
      width: 100%;
    }
  }
}

@import '_filters.scss';
